package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.InstalledRestrictions;

import java.util.List;

@ApiModel(value = "InstalledRestrictionsBeanWrapper",
        description = "This class represents the information of InstalledRestrictions.")
public class InstalledRestrictionsBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of device Ids to be executed Installed Restrictions.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "InstalledRestrictions.", required = true)
    private InstalledRestrictions operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public InstalledRestrictions getOperation() {
        return operation;
    }

    public void setOperation(InstalledRestrictions operation) {
        this.operation = operation;
    }
}
